-------------------------------------------------------------------------------
-- opb_epp_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- synthesis translate_off
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

-- synthesis translate_on

entity opb_epp_0_wrapper is
  port (
    OPB_clk : in std_logic;
    OPB_rst : in std_logic;
    OPB_DBus : in std_logic_vector(0 to 31);
    OPB_MGrant : in std_logic;
    OPB_pendReq : in std_logic;
    OPB_errAck : in std_logic;
    OPB_retry : in std_logic;
    OPB_timeout : in std_logic;
    OPB_xferAck : in std_logic;
    OPB_ABus : in std_logic_vector(0 to 31);
    OPB_RNW : in std_logic;
    OPB_select : in std_logic;
    OPB_seqAddr : in std_logic;
    OPB_busLock : in std_logic;
    OPB_toutSup : in std_logic;
    M_DBus : out std_logic_vector(0 to 31);
    M_BE : out std_logic_vector(0 to 3);
    M_ABus : out std_logic_vector(0 to 31);
    M_RNW : out std_logic;
    M_select : out std_logic;
    M_seqAddr : out std_logic;
    M_busLock : out std_logic;
    M_request : out std_logic;
    SYS_rst : out std_logic;
    pp_dck : in std_logic;
    pp_dwr : in std_logic;
    pp_drd : out std_logic;
    la_DBus : in std_logic_vector(0 to 63);
    la_TBus : in std_logic_vector(0 to 63);
    la_ceDBus : in std_logic_vector(0 to 63);
    la_ceTBus : in std_logic
  );
end opb_epp_0_wrapper;

architecture STRUCTURE of opb_epp_0_wrapper is

  component opb_epp is
    generic (
      C_OPB_DWIDTH : integer;
      C_OPB_AWIDTH : integer;
      C_REAL_DWIDTH : integer;
      C_USE_SEQADDR : integer;
      C_LA_MWIDTH : integer;
      C_LA_RUN_LENGTH_CODING : integer;
      C_LA_DWIDTH : integer;
      C_LA_DTYPE : integer;
      C_LA_TWIDTH : integer;
      C_LA_TTYPE : integer;
      C_LA_CE_DWIDTH : integer;
      C_LA_CE_DTYPE : integer;
      C_LA_CE_TTYPE : integer
    );
    port (
      OPB_clk : in std_logic;
      OPB_rst : in std_logic;
      OPB_DBus : in std_logic_vector(0 to C_OPB_DWIDTH-1);
      OPB_MGrant : in std_logic;
      OPB_pendReq : in std_logic;
      OPB_errAck : in std_logic;
      OPB_retry : in std_logic;
      OPB_timeout : in std_logic;
      OPB_xferAck : in std_logic;
      OPB_ABus : in std_logic_vector(0 to C_OPB_AWIDTH-1);
      OPB_RNW : in std_logic;
      OPB_select : in std_logic;
      OPB_seqAddr : in std_logic;
      OPB_busLock : in std_logic;
      OPB_toutSup : in std_logic;
      M_DBus : out std_logic_vector(0 to C_OPB_DWIDTH-1);
      M_BE : out std_logic_vector(0 to C_OPB_DWIDTH/8 -1);
      M_ABus : out std_logic_vector(0 to C_OPB_AWIDTH-1);
      M_RNW : out std_logic;
      M_select : out std_logic;
      M_seqAddr : out std_logic;
      M_busLock : out std_logic;
      M_request : out std_logic;
      SYS_rst : out std_logic;
      pp_dck : in std_logic;
      pp_dwr : in std_logic;
      pp_drd : out std_logic;
      la_DBus : in std_logic_vector(0 to C_LA_DWIDTH-1);
      la_TBus : in std_logic_vector(0 to C_LA_TWIDTH-1);
      la_ceDBus : in std_logic_vector(0 to C_LA_CE_DWIDTH-1);
      la_ceTBus : in std_logic
    );
  end component;

begin

  opb_epp_0 : opb_epp
    generic map (
      C_OPB_DWIDTH => 32,
      C_OPB_AWIDTH => 32,
      C_REAL_DWIDTH => 16,
      C_USE_SEQADDR => 0,
      C_LA_MWIDTH => 8,
      C_LA_RUN_LENGTH_CODING => 1,
      C_LA_DWIDTH => 64,
      C_LA_DTYPE => 0,
      C_LA_TWIDTH => 64,
      C_LA_TTYPE => 0,
      C_LA_CE_DWIDTH => 64,
      C_LA_CE_DTYPE => 3,
      C_LA_CE_TTYPE => 0
    )
    port map (
      OPB_clk => OPB_clk,
      OPB_rst => OPB_rst,
      OPB_DBus => OPB_DBus,
      OPB_MGrant => OPB_MGrant,
      OPB_pendReq => OPB_pendReq,
      OPB_errAck => OPB_errAck,
      OPB_retry => OPB_retry,
      OPB_timeout => OPB_timeout,
      OPB_xferAck => OPB_xferAck,
      OPB_ABus => OPB_ABus,
      OPB_RNW => OPB_RNW,
      OPB_select => OPB_select,
      OPB_seqAddr => OPB_seqAddr,
      OPB_busLock => OPB_busLock,
      OPB_toutSup => OPB_toutSup,
      M_DBus => M_DBus,
      M_BE => M_BE,
      M_ABus => M_ABus,
      M_RNW => M_RNW,
      M_select => M_select,
      M_seqAddr => M_seqAddr,
      M_busLock => M_busLock,
      M_request => M_request,
      SYS_rst => SYS_rst,
      pp_dck => pp_dck,
      pp_dwr => pp_dwr,
      pp_drd => pp_drd,
      la_DBus => la_DBus,
      la_TBus => la_TBus,
      la_ceDBus => la_ceDBus,
      la_ceTBus => la_ceTBus
    );

end architecture STRUCTURE;
